Type TEntity

	Global _list:Tlist = New TList

	Field max3d_ptr:Int


	Function GetType:TEntity(max3d_ptr:Int)
		For Local P:TEntity = eachin TEntity._list
			 If(P.max3d_ptr = max3d_ptr) then Return P
		Next
		Return Null
	End Function


	Method New()
		TEntity._list.Addlast(self)
	End Method


	Method Delete()
		TEntity._list.Remove(self)
	End Method

	Method Destroy()
		bmx3d.max3d.DestroyEntity(max3d_ptr)
	End Method

	Method Copy:TEntity()
		Local E:TEntity = New TEntity
		E.max3d_ptr = bmx3d.max3d.CopyEntity(max3d_ptr)
		Return E
	End Method

	Method Show()
		bmx3d.max3d.ShowEntity(max3d_ptr)
	End Method

	Method Hide()
		bmx3d.max3d.HideEntity(max3d_ptr)
	End Method

	Method SetParent(parent:TEntity)
		bmx3d.max3d.SetEntityParent(max3d_ptr,parent.max3d_ptr)
	End Method

	Method SetTranslation(x:Float,y:Float,z:Float)
		bmx3d.max3d.SetEntityTranslation(max3d_ptr,x,y,z)
	End Method

	Method SetRotation(yaw:Float,pitch:Float,roll:Float)
		bmx3d.max3d.SetEntityRotation(max3d_ptr,yaw,pitch,roll)
	End Method

	Method SetScale(x:Float,y:Float,z:Float)
		bmx3d.max3d.SetEntityScale(max3d_ptr,x,y,z)
	End Method

	Method Move(x:Float,y:Float,z:Float)
		bmx3d.max3d.MoveEntity(max3d_ptr,x,y,z)
	End Method

	Method Turn(yaw:Float,pitch:Float,roll:Float)
		bmx3d.max3d.TurnEntity(max3d_ptr,yaw,pitch,roll)
	End Method

	Method EntityX:Float()
		Return bmx3d.max3d.EntityX(max3d_ptr)
	End Method

	Method EntityY:Float()
		Return bmx3d.max3d.EntityY(max3d_ptr)
	End Method

	Method EntityZ:Float()
		Return bmx3d.max3d.EntityZ(max3d_ptr)
	End Method

End Type

