Type TCamera extends TEntity

	Function Create:TCamera()
		Local C:TCamera = New TCamera
		C.max3d_ptr = bmx3d.max3d.CreateCamera()
		Return C
	End Function

	Method SetViewport(x:Int,y:Int,width:Int,height:Int)
		bmx3d.max3d.SetCameraViewport(max3d_ptr,x,y,width,height)
	End Method

	Method SetOrtho(left:Float,right:Float,bottom:Float,top:Float,zNear:Float,zFar:Float)
		bmx3d.max3d.SetCameraOrtho(max3d_ptr,left,right,bottom,top,zNear,zFar)
	End Method

	Method SetFrustum(left:Float,right:Float,bottom:Float,top:Float,zNear:Float,zFar:Float)
		bmx3d.max3d.SetCameraFrustum(max3d_ptr,left,right,bottom,top,zNear,zFar)
	End Method

	Method SetPerspective(fovy:Float,aspect:Float,zNear:Float,zFar:Float)
		bmx3d.max3d.SetCameraPerspective(max3d_ptr,fovy,aspect,zNear,zFar)
	End Method

End Type

