Type TTerrain extends TEntity

	Function Load:TTerrain(path$ , material:TMaterial , width# , height# , depth# , collType% , mass#) 
		Local T:TTerrain = New TTerrain
		T.max3d_ptr = bmx3d.max3d.LoadTerrain(path$ , material.max3d_ptr , width# , height# , depth# , collType , mass#) 
		Return T
	End Function

	Function Create:TTerrain(material:TMaterial,xsize:Int,zsize:Int,width:Float,height:Float,depth:Float)
		Local T:TTerrain = New TTerrain
		T.max3d_ptr = bmx3d.max3d.CreateTerrain(material.max3d_ptr,xsize,zsize,width,height,depth)
		Return T
	End Function

	Method SetHeight(height:Float,x:Int,z:Int)
		bmx3d.max3d.SetTerrainHeight(max3d_ptr,height,x,z)
	End Method

End Type

