Type TMax3D

	Global _list:Tlist = New TList

	Field max3d_ptr:Int


	Function GetType:TMax3D(max3d_ptr:Int)
		For Local P:TMax3D = eachin TMax3D._list
			 If(P.max3d_ptr = max3d_ptr) then Return P
		Next
		Return Null
	End Function


	Method New()
		TMax3D._list.Addlast(self)
	End Method


	Method Delete()
		TMax3D._list.Remove(self)
	End Method

	Function Graphics(w% , h% , d% = 0 , r% = 60 , path$ = "nopath") 
		bmx3d.max3d.Max3DGraphics(w , h , d , r , path) 
	End Function

	Function Init(importer:Byte Ptr)
		bmx3d.max3d.InitMax3D(importer)
	End Function

	Function UseDegrees()
		bmx3d.max3d.UseDegrees()
	End Function

	Function UseRadians()
		bmx3d.max3d.UseRadians()
	End Function

	Function EnableShadows()
		bmx3d.max3d.EnableShadows()
	End Function

	Function DisableShadows()
		bmx3d.max3d.DisableShadows()
	End Function

	Function EnableCollisions(collType1:Int,collType2:Int,friction:Float,bounciness:Float,stiffness:Float)
		bmx3d.max3d.EnableCollisions(collType1,collType2,friction,bounciness,stiffness)
	End Function

	Function SetGravity(x:Float,y:Float,z:Float)
		bmx3d.max3d.SetGravity(x,y,z)
	End Function

	Function SetClearColor(r:Float,g:Float,b:Float)
		bmx3d.max3d.SetClearColor(r,g,b)
	End Function

	Function SetAmbientColor(r:Float,g:Float,b:Float)
		bmx3d.max3d.SetAmbientColor(r,g,b)
	End Function

	Function UpdateWorld()
		bmx3d.max3d.UpdateWorld()
	End Function

	Function RenderWorld()
		bmx3d.max3d.RenderWorld()
	End Function

End Type

