Type TBody extends TResource

	Function CreateSphere(entity:TEntity,radius:Float,collType:Int,mass:Float)
		bmx3d.max3d.CreateSphereBody(entity.max3d_ptr,radius,collType,mass)
	End Function

	Function CreateCapsule(entity:TEntity,radius:Float,length:Float,collType:Int,mass:Float)
		bmx3d.max3d.CreateCapsuleBody(entity.max3d_ptr,radius,length,collType,mass)
	End Function

	Function CreateCylinder(entity:TEntity,radius:Float,length:Float,collType:Int,mass:Float)
		bmx3d.max3d.CreateCylinderBody(entity.max3d_ptr,radius,length,collType,mass)
	End Function

	Function CreateBox(entity:TEntity,width:Float,height:Float,depth:Float,collType:Int,mass:Float)
		bmx3d.max3d.CreateBoxBody(entity.max3d_ptr,width,height,depth,collType,mass)
	End Function

	Function CreateSurface(entity:TEntity,surface:TModelSurface,collType:Int,mass:Float)
		bmx3d.max3d.CreateSurfaceBody(entity.max3d_ptr,surface.max3d_ptr,collType,mass)
	End Function

	Function CreateModel(entity:TEntity,model:TModel,collType:Int,mass:Float)
		bmx3d.max3d.CreateModelBody(entity.max3d_ptr,model.max3d_ptr,collType,mass)
	End Function

	Function CreateTerrain(entity:TEntity,terrain:TTerrain,collType:Int,mass:Float)
		bmx3d.max3d.CreateTerrainBody(entity.max3d_ptr,terrain.max3d_ptr,collType,mass)
	End Function

	Function CreateBallJoint(entity:TEntity,body1:TEntity,body2:TEntity)
		bmx3d.max3d.CreateBallJoint(entity.max3d_ptr,body1.max3d_ptr,body2.max3d_ptr)
	End Function

End Type

