Type TMaterial extends TResource

	Function Load:TMaterial(path$) 
		Local M:TMaterial = New TMaterial
		M.max3d_ptr = bmx3d.max3d.LoadMaterial(path$) 
		Return M
	End Function

	Function Create:TMaterial()
		Local M:TMaterial = New TMaterial
		M.max3d_ptr = bmx3d.max3d.CreateMaterial()
		Return M
	End Function

	Method SetFloat(name:String,value:Float)
		bmx3d.max3d.SetMaterialFloat(max3d_ptr,name,value)
	End Method

	Method SetColor(name:String,red:Float,green:Float,blue:Float)
		bmx3d.max3d.SetMaterialColor(max3d_ptr,name,red,green,blue)
	End Method

	Method SetTexture(name:String,texture:TTexture)
		bmx3d.max3d.SetMaterialTexture(max3d_ptr,name,texture.max3d_ptr)
	End Method

End Type

