Type TModelSurface extends TResource

	Function Create:TModelSurface()
		Local M:TModelSurface = New TModelSurface
		M.max3d_ptr = bmx3d.max3d.CreateSurface()
		Return M
	End Function

	Method SetShader(surface:TModelSurface,shader:TShader)
		bmx3d.max3d.SetSurfaceShader(surface.max3d_ptr,shader.max3d_ptr)
	End Method

	Method Shader:TShader(surface:TModelSurface)
		Local _ptr:Int = bmx3d.max3d.SurfaceShader(surface.max3d_ptr)
		Return TShader(TShader.GetType(_ptr))
	End Method

	Method SetMaterial(surface:TModelSurface,material:TMaterial)
		bmx3d.max3d.SetSurfaceMaterial(surface.max3d_ptr,material.max3d_ptr)
	End Method

	Method Material:TMaterial(surface:TModelSurface)
		Local _ptr:Int = bmx3d.max3d.SurfaceMaterial(surface.max3d_ptr)
		Return TMaterial(TMaterial.GetType(_ptr))
	End Method

	Method AddVertex(surface:TModelSurface,x:Float,y:Float,z:Float,s0:Float,t0:Float)
		bmx3d.max3d.AddSurfaceVertex(surface.max3d_ptr,x,y,z,s0,t0)
	End Method

	Method AddTriangle(surface:TModelSurface,vertex0:Int,vertex1:Int,vertex2:Int)
		bmx3d.max3d.AddSurfaceTriangle(surface.max3d_ptr,vertex0,vertex1,vertex2)
	End Method

End Type

